%global xfceversion 4.18

Summary:        Hierarchical configuration system for Xfce
Name:           xfconf
Version:        4.18.1
Release:        1%{?dist}
License:        GPLv2
URL:            http://www.xfce.org/
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2
BuildRequires:  make, glib2-devel
BuildRequires:  pkgconfig(libxfce4util-1.0) >= %{xfceversion}
BuildRequires:  pkgconfig(dbus-1) >= 1.1.0
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.84
BuildRequires:  gettext, intltool, gcc-c++
BuildRequires:  gobject-introspection-devel, vala
Requires:       dbus

%description
Xfconf is a hierarchical (tree-like) configuration system where the
immediate child nodes of the root are called "channels".  All settings
beneath the channel nodes are called "properties."

%package        devel
Summary:        Development tools for xfconf
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       dbus-devel
Requires:       dbus-glib-devel
Requires:       glib2-devel

%description devel
This package includes the libraries and header files you will need
to compile applications for xfconf.

%prep
%autosetup

%build
%configure --disable-static --with-perl-options=INSTALLDIRS="vendor"
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
export LD_LIBRARY_PATH="`pwd`/xfconf/.libs"

%make_build

%install
%make_install
chmod 755 %{buildroot}/%{_libdir}/*.so
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name *.la -exec rm -f {} \;

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS TODO
%{_bindir}/xfconf-query
%{_libdir}/lib*.so.*
%{_libdir}/xfce4/xfconf/
%{_libdir}/girepository-1.0/Xfconf-0.typelib
%{_datadir}/vala/vapi/libxfconf-0.deps
%{_datadir}/vala/vapi/libxfconf-0.vapi
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service
%{_datadir}/gir-1.0/Xfconf-0.gir
%{_datadir}/bash-completion/completions/xfconf-query

%files devel
%doc %{_datadir}/gtk-doc
%{_libdir}/lib*.so
%{_libdir}/gio/modules/libxfconfgsettingsbackend.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/xfconf-0
%{_datadir}/gtk-doc/html/%{name}/*

%changelog
* Wed Dec 27 2023 Chair <chairou@tencent.com> - 4.18.1-1
- Init
